﻿//////////////////////////////////////////////
// Notificator.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkMaths
{
	class Point ;
}

namespace nkWinUi
{
	struct PopupCustomDescriptor ;
	struct PopupYesNoDescriptor ;
}

/// Includes ---------------------------------

// nkWinUi
#include "../Dll/DllDefines.h"

#include "NotificationPositionDescriptor.h"

/// Class ------------------------------------

namespace nkWinUi
{
	class DLL_WINUI_EXPORT Notificator final
	{
		private :

			// Constructor, destructor
			Notificator () = delete ;
			~Notificator () = delete ;

		public :

			// Popup
			static void popup (const NotificationPositionDescriptor& positionInfo, const PopupYesNoDescriptor& descriptor) ;
			static void popup (const NotificationPositionDescriptor& positionInfo, const PopupCustomDescriptor& descriptor) ;
	} ;
}