﻿//////////////////////////////////////////////
// DecodedData.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkGraphics
#include "DecodedEntityData.h"
#include "DecodedMaterialData.h"
#include "DecodedMeshData.h"
#include "DecodedTextureData.h"

// nkMemory
#include <NilkinsMemory/Containers/BufferCast.h>

/// Structs ----------------------------------

namespace nkGraphics
{
	struct DecodedData
	{
		// Attributes
		nkMemory::BufferCast<DecodedEntityData> _entityData ;
		nkMemory::BufferCast<DecodedMaterialData> _materialData ;
		nkMemory::BufferCast<DecodedMeshData> _meshData ;
		nkMemory::BufferCast<DecodedTextureData> _textureData ;
	} ;
}