﻿//////////////////////////////////////////////
// DecodedMaterialData.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkMaths
#include <NilkinsMaths/Algebra/Vector.h>

/// Class ------------------------------------

namespace nkGraphics
{
	struct DecodedMaterialData final
	{
		nkMaths::Vector _ambientColor ;
		int _ambientTextureIndex = -1 ;

		nkMaths::Vector _diffuseColor ;
		int _diffuseTextureIndex = -1 ;

		nkMaths::Vector _specularColor ;
		int _specularTextureIndex = -1 ;
	} ;
}